=== debian/changelog ===
gnocchi (3.1.16-0ubuntu2~cloud0) xenial-pike; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1806041).
  * d/rules: Cleanup .eggs file in dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Sun, 02 Dec 2018 20:58:07 -0500

gnocchi (3.1.15-0ubuntu1) artful; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * New stable point release for OpenStack Pike (LP: #1758046).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Mar 2018 08:41:46 -0400

gnocchi (3.1.9-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 31 Jul 2017 15:01:33 +0000
