## gnocchi 4.1.1

=== requirements.txt ===
pbr
numpy>=1.9.0
iso8601
oslo.config>=3.22.0
oslo.policy>=0.3.0
oslo.middleware>=3.22.0
pandas>=0.18.0
pytimeparse
scipy>=0.18.1  # BSD
pecan>=0.9
futures
jsonpatch
cotyledon>=1.5.0
six
stevedore
ujson
voluptuous
werkzeug
trollius; python_version < '3.4'
tenacity>=4.2.0  # Apache-2.0
WebOb>=1.4.1
Paste
PasteDeploy
monotonic
daiquiri
pyparsing>=2.2.0
lz4>=0.9.0
tooz>=1.38
cachetools
