=== debian/changelog ===
gnocchi (4.1.1-0ubuntu3) bionic; urgency=medium

  * d/p/drop-pandas.patch: Cherry pick fix to drop deprecated aggregation
    methods, removing the requirement for pandas.
  * d/control: Drop (Build-)Depends on python3-pandas.

 -- James Page <james.page@ubuntu.com>  Wed, 29 Nov 2017 15:16:58 +0000

gnocchi (4.1.1-0ubuntu2) bionic; urgency=medium

  * d/tests/*: Misc fixes for autpkgtest failures.

 -- James Page <james.page@ubuntu.com>  Wed, 29 Nov 2017 09:32:57 +0000

gnocchi (4.1.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * Migrate package to use Python 3 only.
  * d/control,rules: Use crudini to set sane gnocchi.conf defaults.
  * d/control: Bumped Standards-Version 4.1.1.
  * d/copyright: Switch to https version for Format URL.
  * d/gnocchi-common.install,gnocchi-common.postinst.in: Directly
    install upstream api-paste.ini and policy.json files to /etc/gnocchi.
  * d/tests/*: Tidy tests, perform basic check on top-level entry point.
  * d/p/py3-memcache-tooz-compat.patch: Fix compat with Python 3 when
    using tooz memcached driver.

 -- James Page <james.page@ubuntu.com>  Tue, 28 Nov 2017 17:01:54 +0000
