=== debian/changelog ===
gnocchi (4.2.0-4~bpo9+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@stretch-queens.infomaniak.ch>  Mon, 04 Jun 2018 12:58:23 +0200

gnocchi (4.2.0-4) unstable; urgency=medium

  * Add patch to remove dependency on distutils (Closes: #896594).

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 Jun 2018 10:41:46 +0200

gnocchi (4.2.0-3) unstable; urgency=medium

  * Add missing gnocchi-statsd daemon package and init script.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 May 2018 09:23:50 +0200

gnocchi (4.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:43:11 +0000

gnocchi (4.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Add patch for Py3 compat, courtesy of James Page from Canonical.
  * Blacklist test_gnocchi_config_generator_run(), we don't care about it
    anyway, as we're using oslo-config-generator.
  * Fixed uwsgi params.
  * Dropped debconf templates, using openstack-pkg-tools >= 70~.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 13:12:12 +0000

gnocchi (4.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Fixed gnocchi-api UWSGI startup.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Feb 2018 14:25:47 +0100

gnocchi (4.0.3-3) unstable; urgency=medium

  * python3-gnocchi breaks+replaces python-gnocchi, therefore allowing
    upgrades from older Gnocchi that was using Python 2.7 (Closes: #881247).
  * Fixed encoding of pt.po.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Nov 2017 22:40:08 +0000

gnocchi (4.0.3-2) unstable; urgency=medium

  * Fixed version of python-sqlalchemy-utils (>= 0.32.14).
  * Updated pt.po (Closes: #876172).
  * Running gnocchi-upgrade instead of dbsync (Closes: #853121).
  * Uploading to unstable.
  * Add missing build-depends: python-all, python-pbr, python-setuptools,
    python3-testresources.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Nov 2017 11:31:24 +0000

gnocchi (4.0.3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Standards-Version is now 4.1.1.
  * Switch the package to Python 3 only, drop Python 2.
  * Add debian/bin with gnocchi-config-generator entrypoint.
  * Fixed oslo-config-generator namespace list for this release.
  * Fixed source location for policy.json and api-paste.ini.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Oct 2017 06:33:31 +0200

gnocchi (3.0.4-4) unstable; urgency=medium

  * German debconf translation update (Closes: #842481).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Apr 2017 18:13:32 +0200
