## gnocchi 4.2.4

=== requirements.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 werkzeug
 trollius; python_version < '3.4'
 tenacity>=4.6.0
-WebOb>=1.4.1
+WebOb>=1.4.1,<1.8.0
 Paste
 PasteDeploy
 monotonic
