=== debian/changelog ===
gnocchi (4.2.4-0ubuntu3) cosmic; urgency=medium

  * Enable alternative python2 dependencies for gnocchi-api (LP: #1746992):
    - d/control: gnocchi-api depends on libapache2-mod-wsgi-py3 by default and
      libapache2-mod-wsgi as an alternative. gnocchi-api also depends on
      gnocchi-common, which depends on python3-gnocchi by default and
      python-gnocchi as an alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-gnocchi packages.
    - d/control: Add Conflicts to python(3)-gnocchi binary to ensure both
      can't be installed at the same time.
    - d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite and drop
      obsolete XS-Testsuite: autopkgtest header.
    - d/tests/*: Add Python 2/3 autopkgtests for gnocchi daemons and shebangs.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Jun 2018 13:22:19 -0400

gnocchi (4.2.4-0ubuntu2) cosmic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1767128).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 May 2018 15:11:13 -0400

gnocchi (4.2.0-0ubuntu5) bionic; urgency=medium

  [ Thomas Goirand ]
  * Dropped debconf templates, using openstack-pkg-tools >= 74~
    (LP: #1765190).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Apr 2018 09:49:11 -0400

gnocchi (4.2.0-0ubuntu4) bionic; urgency=medium

  * Avoid usage of distutils.spawn and distutils.util.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Apr 2018 23:46:22 +0200

gnocchi (4.2.0-0ubuntu2) bionic; urgency=medium

  * d/p/py3-compat.patch: Further py3 fixes resolving autopkgtest
    failures.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Feb 2018 09:09:11 +0000

gnocchi (4.2.0-0ubuntu1) bionic; urgency=medium

  * New upstream release:
    - d/p/*: Drop, all upstream.
    - d/control: Align (Build-)Depends with upstream.
  * d/rules,control,python{3}-gnocchi.p*: Re-introduce a Python 2
    compatible module for gnocchi, supporting all-in-one installation
    under Apache2/WSGI with other OpenStack services which have not
    yet transitioned to Python 3.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Feb 2018 18:01:00 +0000
