## gnocchi 4.2.5

=== debian/changelog ===
gnocchi (4.2.5-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1806043).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Dec 2018 09:15:05 -0500

gnocchi (4.2.4-0ubuntu1.1) bionic; urgency=medium

  * Enable alternative python2 dependencies for gnocchi-api (LP: #1746992):
    - d/control: gnocchi-api depends on libapache2-mod-wsgi-py3 by default and
      libapache2-mod-wsgi as an alternative. gnocchi-api also depends on
      gnocchi-common, which depends on python3-gnocchi by default and
      python-gnocchi as an alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-gnocchi packages.
    - d/control: Add Conflicts to python(3)-gnocchi binary to ensure both
      can't be installed at the same time.
    - d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite and drop
      obsolete XS-Testsuite: autopkgtest header.
    - d/tests/*: Add Python 2/3 autopkgtests for gnocchi daemons and shebangs.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Jun 2018 22:08:16 -0400

gnocchi (4.2.4-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1767128).
  * d/gbp.conf: Create stable/queens branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 May 2018 15:11:13 -0400
