=== debian/control ===
Source: gnocchi
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 apache2-dev,
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools (>= 74~),
 python-all,
 python-pbr,
 python-setuptools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 crudini,
 python-alembic (>= 0.7.6),
 python-cachetools,
 python-cotyledon (>= 1.2.2),
 python-coverage (>= 3.6),
 python-daiquiri,
 python-doc8,
 python-fixtures,
 python-future (>= 0.15),
 python-gabbi (>= 1.21),
 python-iso8601,
 python-jsonpatch (>= 1.9),
 python-keystoneclient (>= 1:1.6.0),
 python-keystonemiddleware (>= 4.0.0),
 python-lz4,
 python-mock,
 python-monotonic,
 python-msgpack,
 python-numpy,
 python-oslo.config (>= 1:3.22.0),
 python-oslo.db (>= 4.8.0),
 python-oslo.middleware (>= 3.22.0),
 python-oslo.policy (>= 0.3.0),
 python-oslosphinx (>= 2.2.0.0),
 python-paste,
 python-pastedeploy,
 python-pecan (>= 0.9),
 python-prettytable,
 python-psycopg2,
 python-pymysql,
 python-pyparsing,
 python-pytimeparse,
 python-pytimeparse (>= 1.1.5),
 python-requests,
 python-six,
 python-sphinx-bootstrap-theme,
 python-sphinxcontrib.httpdomain,
 python-sqlalchemy,
 python-sqlalchemy-utils,
 python-stevedore,
 python-subunit (>= 0.0.18),
 python-swiftclient (>= 3.1.0),
 python-sysv-ipc,
 python-tenacity (>= 4.6.0),
 python-testrepository,
 python-testresources,
 python-testscenarios,
 python-testtools (>= 0.9.38),
 python-tooz (>= 1.38),
 python-ujson,
 python-voluptuous (>= 0.8.10),
 python-webob (>= 1.4.1),
 python-webtest (>= 2.0.16),
 python-werkzeug,
 python-yaml,
 python3-alembic (>= 0.7.6),
 python3-cachetools,
 python3-cotyledon (>= 1.2.2),
 python3-coverage (>= 3.6),
 python3-daiquiri,
 python3-doc8,
 python3-fixtures,
 python3-gabbi (>= 1.21),
 python3-iso8601,
 python3-jsonpatch (>= 1.9),
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 4.0.0),
 python3-lz4,
 python3-mock,
 python3-monotonic,
 python3-msgpack,
 python3-numpy,
 python3-oslo.config (>= 1:3.22.0),
 python3-oslo.db (>= 4.8.0),
 python3-oslo.middleware (>= 3.22.0),
 python3-oslo.policy (>= 0.3.0),
 python3-oslosphinx (>= 2.2.0.0),
 python3-paste,
 python3-pastedeploy,
 python3-pecan (>= 0.9),
 python3-prettytable,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-pytimeparse,
 python3-pytimeparse (>= 1.1.5),
 python3-requests,
 python3-six,
 python3-sphinx-bootstrap-theme,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stevedore,
 python3-subunit (>= 0.0.18),
 python3-swiftclient (>= 3.1.0),
 python3-sysv-ipc,
 python3-tenacity (>= 4.6.0),
 python3-testrepository,
 python3-testresources,
 python3-testscenarios,
 python3-testtools (>= 0.9.38),
 python3-tooz (>= 1.38),
 python3-ujson,
 python3-voluptuous (>= 0.8.10),
 python3-webob (>= 1.4.1),
 python3-webtest (>= 2.0.16),
 python3-werkzeug,
 python3-yaml,
Standards-Version: 4.1.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/gnocchi
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/gnocchi
Homepage: https://github.com/openstack/gnocchi
Testsuite: autopkgtest-pkg-python

Package: gnocchi-api
Architecture: all
Depends:
 apache2 | httpd,
 gnocchi-common (= ${binary:Version}),
 libapache2-mod-wsgi-py3 | libapache2-mod-wsgi,
 q-text-as-data,
 ${misc:Depends},
Description: Metric as a Service - API daemon
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the API server.

Package: gnocchi-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-gnocchi (= ${binary:Version}) | python-gnocchi (= ${binary:Version}),
 ${misc:Depends},
Description: Metric as a Service - common files
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the common files.

Package: gnocchi-metricd
Architecture: all
Depends:
 gnocchi-common (= ${binary:Version}),
 ${misc:Depends},
Description: Metric as a Service - metric daemon
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the metric daemon.

Package: gnocchi-statsd
Architecture: all
Depends:
 gnocchi-common (= ${binary:Version}),
 ${misc:Depends},
Description: Metric as a Service - statsd daemon
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the metric daemon.

Package: python-gnocchi
Section: python
Architecture: all
Depends:
 python-alembic (>= 0.7.6),
 python-cotyledon (>= 1.2.2),
 python-future (>= 0.15),
 python-iso8601,
 python-jsonpatch (>= 1.9),
 python-keystoneclient (>= 1:1.6.0),
 python-keystonemiddleware (>= 4.0.0),
 python-lz4,
 python-msgpack,
 python-numpy,
 python-openstackclient,
 python-oslo.config (>= 1:3.22.0),
 python-oslo.db (>= 4.8.0),
 python-oslo.log (>= 2.3.0),
 python-oslo.middleware (>= 3.22.0),
 python-oslo.policy (>= 0.3.0),
 python-oslo.serialization (>= 1.4.0),
 python-oslo.utils (>= 3.18.0),
 python-oslosphinx (>= 2.2.0.0),
 python-paste,
 python-pastedeploy,
 python-pbr,
 python-pecan (>= 0.9),
 python-prettytable,
 python-psycopg2,
 python-pymysql,
 python-pytimeparse (>= 1.1.5),
 python-requests,
 python-retrying,
 python-six,
 python-sqlalchemy,
 python-sqlalchemy-utils,
 python-stevedore,
 python-swiftclient (>= 3.1.0),
 python-tooz (>= 1.38),
 python-ujson,
 python-voluptuous (>= 0.8.10),
 python-webob (>= 1.4.1),
 python-werkzeug,
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-gnocchi-doc,
Breaks:
 gnocchi-api (<< 4.1.0-0ubuntu1~),
 gnocchi-common (<< 4.1.0-0ubuntu1~),
 gnocchi-metricd (<< 4.1.0-0ubuntu1~),
 gnocchi-statsd (<< 4.1.0-0ubuntu1~),
Replaces:
 gnocchi-api (<< 4.1.0-0ubuntu1~),
 gnocchi-common (<< 4.1.0-0ubuntu1~),
 gnocchi-metricd (<< 4.1.0-0ubuntu1~),
 gnocchi-statsd (<< 4.1.0-0ubuntu1~),
Conflicts:
 python3-gnocchi,
Description: Metric as a Service - Python 2.x
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the Python 2.x module.

Package: python3-gnocchi
Section: python
Architecture: all
Depends:
 python3-alembic (>= 0.7.6),
 python3-cotyledon (>= 1.2.2),
 python3-iso8601,
 python3-jsonpatch (>= 1.9),
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 4.0.0),
 python3-lz4,
 python3-msgpack,
 python3-numpy,
 python3-openstackclient,
 python3-oslo.config (>= 1:3.22.0),
 python3-oslo.db (>= 4.8.0),
 python3-oslo.log (>= 2.3.0),
 python3-oslo.middleware (>= 3.22.0),
 python3-oslo.policy (>= 0.3.0),
 python3-oslo.serialization (>= 1.4.0),
 python3-oslo.utils (>= 3.18.0),
 python3-oslosphinx (>= 2.2.0.0),
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan (>= 0.9),
 python3-prettytable,
 python3-psycopg2,
 python3-pymysql,
 python3-pytimeparse (>= 1.1.5),
 python3-requests,
 python3-retrying,
 python3-six,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stevedore,
 python3-swiftclient (>= 3.1.0),
 python3-tooz (>= 1.38),
 python3-ujson,
 python3-voluptuous (>= 0.8.10),
 python3-webob (>= 1.4.1),
 python3-werkzeug,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-gnocchi-doc,
Breaks:
 gnocchi-api (<< 4.1.0-0ubuntu1~),
 gnocchi-common (<< 4.1.0-0ubuntu1~),
 gnocchi-metricd (<< 4.1.0-0ubuntu1~),
 gnocchi-statsd (<< 4.1.0-0ubuntu1~),
 python-gnocchi (<< 4.1.0-0ubuntu1~),
Replaces:
 gnocchi-api (<< 4.1.0-0ubuntu1~),
 gnocchi-common (<< 4.1.0-0ubuntu1~),
 gnocchi-metricd (<< 4.1.0-0ubuntu1~),
 gnocchi-statsd (<< 4.1.0-0ubuntu1~),
 python-gnocchi (<< 4.1.0-0ubuntu1~),
Conflicts:
 python-gnocchi,
Description: Metric as a Service - Python 3.x
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the Python 3.x module.
