=== debian/tests/control ===
Tests: gnocchi-daemons, gnocchi-shebangs-py2
Depends: libapache2-mod-wsgi, python-gnocchi,
 gnocchi-api, gnocchi-metricd, gnocchi-statsd,
 crudini, mysql-server, uuid-runtime, memcached
Restrictions: needs-root, allow-stderr

Tests: gnocchi-daemons, gnocchi-shebangs-py3
Depends: gnocchi-api, gnocchi-metricd, gnocchi-statsd,
 crudini, mysql-server, uuid-runtime, memcached
Restrictions: needs-root, allow-stderr
