## gnocchi 4.3.0

=== debian/changelog ===
gnocchi (4.3.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 10:23:21 -0400
