=== debian/control ===
--- 
+++ 
@@ -13,9 +13,11 @@
  python-all,
  python-pbr,
  python-setuptools,
+ python-setuptools-scm,
  python3-all,
  python3-pbr,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-sphinx,
 Build-Depends-Indep:
  crudini,
